from datetime import datetime
from typing import List, Optional, Dict, Any

from janis_core import *
from janis_core.types.common_data_types import String, Int, Directory, Boolean

Crispressocompare_V0_1_0 = CommandToolBuilder(tool="CRISPRessoCompare", base_command=["CRISPRessoCompare"], inputs=[ToolInput(tag="in_comparison", input_type=String(optional=True), prefix="-Comparison", doc=InputDocumentation(doc="two CRISPResso analyses-")), ToolInput(tag="in_name", input_type=String(optional=True), prefix="--name", doc=InputDocumentation(doc="Output name (default: )")), ToolInput(tag="in_sample_one_name", input_type=Int(optional=True), prefix="--sample_1_name", doc=InputDocumentation(doc="Sample 1 name (default: None)")), ToolInput(tag="in_sample_two_name", input_type=Int(optional=True), prefix="--sample_2_name", doc=InputDocumentation(doc="Sample 2 name (default: None)")), ToolInput(tag="in_min_frequency_alleles_around_cut_to_plot", input_type=Directory(optional=True), prefix="--min_frequency_alleles_around_cut_to_plot", doc=InputDocumentation(doc="Minimum % reads required to report an allele in the\nalleles table plot. (default: 0.2)")), ToolInput(tag="in_max_rows_alleles_around_cut_to_plot", input_type=Int(optional=True), prefix="--max_rows_alleles_around_cut_to_plot", doc=InputDocumentation(doc="Maximum number of rows to report in the alleles table\nplot. (default: 50)")), ToolInput(tag="in_suppress_report", input_type=Boolean(optional=True), prefix="--suppress_report", doc=InputDocumentation(doc="Suppress output report (default: False)")), ToolInput(tag="in_place_report_in_output_folder", input_type=Directory(optional=True), prefix="--place_report_in_output_folder", doc=InputDocumentation(doc="If true, report will be written inside the CRISPResso\noutput folder. By default, the report will be written\none directory up from the report output. (default:\nFalse)")), ToolInput(tag="in_debug", input_type=Boolean(optional=True), prefix="--debug", doc=InputDocumentation(doc="Show debug messages (default: False)")), ToolInput(tag="in_cris_presso_output_folder_one", input_type=Int(), position=0, doc=InputDocumentation(doc="First output folder with CRISPResso analysis")), ToolInput(tag="in_cris_presso_output_folder_two", input_type=Int(), position=1, doc=InputDocumentation(doc="Second output folder with CRISPResso analysis"))], outputs=[ToolOutput(tag="out_min_frequency_alleles_around_cut_to_plot", output_type=Directory(optional=True), selector=InputSelector(input_to_select="in_min_frequency_alleles_around_cut_to_plot", type_hint=File()), doc=OutputDocumentation(doc="Minimum % reads required to report an allele in the\nalleles table plot. (default: 0.2)")), ToolOutput(tag="out_place_report_in_output_folder", output_type=Directory(optional=True), selector=InputSelector(input_to_select="in_place_report_in_output_folder", type_hint=File()), doc=OutputDocumentation(doc="If true, report will be written inside the CRISPResso\noutput folder. By default, the report will be written\none directory up from the report output. (default:\nFalse)"))], container="quay.io/biocontainers/crispresso2:2.0.45--py27h3dcb392_0", version="v0.1.0")


if __name__ == "__main__":
    # or "cwl"
    Crispressocompare_V0_1_0().translate("wdl")

